<?php
// Author: Phil Ploquin, Kevin K.M. Chiu
// Copyright 2000, Cobalt Networks.  All rights reserved.
// $Id: telnetAccess.php,v 1.11 2001/09/18 21:38:41 will Exp $

include("ServerScriptHelper.php");
include("Product.php");

$serverScriptHelper = new ServerScriptHelper();
$cceClient = $serverScriptHelper->getCceClient();
$product = new Product($cceClient);

$factory = $serverScriptHelper->getHtmlComponentFactory("base-telnet", "/base/telnet/telnetHandler.php");

// get object
$telnetNamespace = $cceClient->getObject("System", array(), "Telnet");
$currentAccess = $telnetNamespace["access"];

$page = $factory->getPage();


if(!$product->isRaq())
{
	$block = $factory->getPagedBlock("telnetSettings");

	// make options list
	$telnetAccess = $factory->getMultiChoice ("accessField",
       	                                   array("none", "root", "reg"), array($currentAccess));

	$block->addFormField($telnetAccess,
       	              $factory->getLabel("access"));
}
else
{
	$block = $factory->getPagedBlock("telnetSettings");

	// RaQ style boolean control
	$block->addFormField(
		$factory->getBoolean("enabled", $telnetNamespace["enabled"]),
		$factory->getLabel("enableServer")
	);

	$rate = $factory->getInteger("connectRateField", $telnetNamespace["connectRate"], 1, 1024);
	$rate->showBounds(1);
	$rate->setWidth(5);
	$block->addFormField(
  		$rate,
  		$factory->getLabel("connectRateField")
	);
}

$block->addButton($factory->getSaveButton($page->getSubmitAction()));

$serverScriptHelper->destructor();

print($page->toHeaderHtml());
print($block->toHtml());
print($page->toFooterHtml());
?>
